Skip to main content
POST
/
api
/
v1
/
agent
/
{agent_id}
/
disable
Delete Agent
curl --request POST \
  --url https://dev.voice.ai/api/v1/agent/{agent_id}/disable \
  --header 'Authorization: Bearer <token>'
{
  "agent": {
    "agent_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
    "name": "Customer Support Agent",
    "config": {
      "prompt": "You are a helpful customer support agent.",
      "greeting": "Hello! How can I help you today?"
    },
    "status": "disabled",
    "status_code": 0,
    "kb_id": 42,
    "created_at": "2026-03-06T18:00:00Z",
    "updated_at": "2026-03-06T18:20:00Z"
  },
  "message": "Agent disabled successfully."
}

Authorizations

Authorization
string
header
required

Bearer token authentication. Use your API key as the bearer token. Format: Authorization: Bearer

Path Parameters

agent_id
string
required

Response

Returns { agent, message } with the deleted agent snapshot. The returned agent.status is disabled.

agent
Agent · object
required
message
string | null